﻿using Wisej.Web;
using Wisej.Web.Ext.Barcode;

namespace BarcodeScanner
{
	public partial class Window1 : Form
	{
		public Window1()
		{
			InitializeComponent();
		}

		private void barcodeReader1_ScanSuccess(object sender, Wisej.Web.Ext.Barcode.ScanEventArgs e)
		{
			AlertBox.Show(e.Data);
		}

		private void Window1_Load(object sender, System.EventArgs e)
		{
			// Load an Enum names into a combobox.
			foreach (string name in ScanMode.GetNames(typeof(ScanMode)))
			{
				comboBox1.Items.Add(name);
			}
		}

		private void comboBox1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (comboBox1.SelectedItem.ToString().Equals("Manual"))
			{
				this.button1.Enabled = true;
			}
			else
			{
				this.button1.Enabled = false;
			}

			this.barcodeReader1.ScanMode = (ScanMode)this.comboBox1.SelectedIndex;
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			this.barcodeReader1.ScanImage();
		}
	}
}
